<html devsite><head>
    <title>Nexus 安全公告 - 2016 年 2 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>发布时间：2016 年 2 月 1 日 | 更新时间：2016 年 3 月 7 日</em></p>

<p>在每月发布 Android 安全公告的同时，我们都通过无线下载 (OTA) 更新的方式发布了针对 Nexus 设备的安全更新。我们还在 <a href="https://developers.google.com/android/nexus/images">Google Developers 网站</a>上发布了 Nexus 固件映像。安全补丁程序级别为 2016 年 2 月 1 日或更新的 Android L（LMY49G 或更高细分版本）和 Android M 均已解决本公告中所述的问题。请参阅 <a href="https://support.google.com/nexus/answer/4457705">Nexus 文档</a>，了解如何查看安全补丁程序级别。</p>

<p>合作伙伴在 2016 年 1 月 4 日或之前就已收到关于本公告中所述问题的通知。我们已将针对这些问题的源代码补丁程序发布到 Android 开源项目 (AOSP) 代码库中（如果适用）。</p>

<p>这些问题中危险性最高的是一个严重程度为“严重”的安全漏洞。当系统处理媒体文件时，攻击者可以利用该漏洞通过多种方式（例如电子邮件、网页浏览和彩信等）在受影响的设备上远程执行代码。Broadcom 的 WLAN 驱动程序中存在的远程代码执行漏洞也属于“严重”漏洞，因为当用户与攻击者接入同一网络时，攻击者可以利用该漏洞在受影响的设备上远程执行代码。<a href="/security/overview/updates-resources.html#severity">严重程度评估</a>的依据是漏洞被利用后可能会对受影响的设备造成的影响（假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用）。</p>

<p>尚未有人向我们举报过有用户主动利用这些新报告的问题。请参阅<a href="#mitigations">缓解措施</a>部分，详细了解有助于提高 Android 平台安全性的 <a href="/security/enhancements/index.html">Android 安全平台防护功能</a>和服务防护功能（如 SafetyNet）。我们建议所有用户都在自己的设备上接受这些更新。</p>

<h3 id="mitigations">缓解措施</h3>

<p>这一部分总结了 <a href="/security/enhancements/index.html">Android 安全平台</a>和服务防护功能（如 SafetyNet）提供的缓解措施。这些功能有助于降低 Android 上的安全漏洞被成功利用的可能性。</p>

<ul>
  <li>较高版本的 Android 平台中提供的增强功能让攻击者更加难以利用 Android 上存在的许多问题。我们建议所有用户都尽可能更新到最新版 Android。
  </li><li>Android 安全团队会积极利用“验证应用”功能和 SafetyNet 监控滥用行为，这些功能会在用户要安装可能有害的应用时发出警告。Google Play 中禁止提供能够获取设备 root 权限的工具。为了保护从 Google Play 以外的来源安装应用的用户，“验证应用”功能会默认处于启用状态，并会在用户要安装能够获取 root 权限的已知应用时警告用户。“验证应用”功能会尝试识别并阻止用户安装会利用提权漏洞的已知恶意应用。如果用户已安装此类应用，那么“验证应用”功能将会通知用户并尝试移除所有此类应用。
  </li><li>由于已做了适当更新，因此 Google 环聊和 Messenger 应用不会自动将媒体内容传递给 Mediaserver 之类的进程。
</li></ul>

<h3 id="acknowledgements">致谢</h3>

<p>我们衷心感谢以下研究人员做出的贡献：</p>

<ul>
  <li>Android 和 Chrome 安全团队：CVE-2016-0809、CVE-2016-0810</li><li>Broadgate 团队：CVE-2016-0801、CVE-2015-0802</li><li><a href="http://c0reteam.org">C0RE 团队</a>（<a href="http://www.360safe.com/">奇虎 360</a>）的 Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>)、Mingjian Zhou (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>) 和 Xuxian Jiang：CVE-2016-0804</li><li>Google Pixel C 团队的 David Riley：CVE-2016-0812</li><li>奇虎 360 IceSword 实验室的 Gengjia Chen (<a href="https://twitter.com/@chengjia4574">@chengjia4574</a>)：CVE-2016-0805</li><li>腾讯科恩实验室 (<a href="https://twitter.com/keen_lab">@keen_lab</a>) 的何淇丹 (<a href="https://twitter.com/@Flanker_hqd">@Flanker_hqd</a>)：CVE-2016-0811</li><li>趋势科技 (<a href="http://www.trendmicro.com">www.trendmicro.com</a>) 的 Seven Shen (<a href="https://twitter.com/@lingtongshen">@lingtongshen</a>)：CVE-2016-0803</li><li>阿里巴巴的 Weichao Sun (<a href="https://twitter.com/sunblate">@sunblate</a>)：CVE-2016-0808</li><li>Android 安全团队的 Zach Riggle (<a href="https://twitter.com/@ebeip90">@ebeip90</a>)：CVE-2016-0807</li></ul>

<h2 id="security_vulnerability_details">安全漏洞详情</h2>

<p>我们在下面提供了 2016-02-01 补丁程序级别涵盖的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关 Bug、严重程度、受影响的版本及报告日期。如果有解决相应问题的 AOSP 代码提交记录，我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多 AOSP 参考内容。</p>

<h3 id="remote_code_execution_vulnerability_in_broadcom_wi-fi_driver">Broadcom WLAN 驱动程序中的远程代码执行漏洞</h3>

<p>Broadcom WLAN 驱动程序中有多个远程代码执行漏洞，这些漏洞可让远程攻击者利用蓄意创建的无线控制消息数据包破坏内核内存，进而通过内核远程执行代码。当攻击者与受害者接入同一网络时，就可能会触发这些漏洞。由于攻击者可以利用该漏洞在无需用户互动的情况下通过内核远程执行代码，因此我们将该漏洞的严重程度评为“严重”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2016-0801</td>
    <td><a href="https://android.googlesource.com/kernel/msm/+/68cdc8df1cb6622980b791ce03e99c255c9888af%5E!">ANDROID-25662029</a><br />
   <a href="https://android.googlesource.com/kernel/msm/+/68cdc8df1cb6622980b791ce03e99c255c9888af%5E!">ANDROID-25662233</a></td>
    <td>严重</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 10 月 25 日</td>
 </tr>
 <tr>
    <td>CVE-2016-0802</td>
    <td><a href="https://android.googlesource.com/kernel/msm/+/3fffc78f70dc101add8b82af878d53457713d005%5E%21/">ANDROID-25306181</a></td>
    <td>严重</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 10 月 26 日</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerability_in_mediaserver">Mediaserver 中的远程代码执行漏洞</h3>

<p>Mediaserver 中有一些漏洞，当系统对攻击者蓄意创建的媒体文件进行文件和数据处理时，攻击者可以利用这些漏洞破坏内存，并通过 Mediaserver 进程远程执行代码。</p>

<p>受影响的功能是操作系统的核心部分，有多个应用允许通过远程内容（最主要是彩信和浏览器媒体播放）使用该功能。</p>

<p>由于攻击者可以利用该漏洞通过 Mediaserver 服务远程执行代码，因此我们将该漏洞的严重程度评为“严重”。Mediaserver 服务可以访问音频和视频流，还可以获取第三方应用通常无法获取的权限。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2016-0803</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/50270d98e26fa18b20ca88216c3526667b724ba7">ANDROID-25812794</a></td>
    <td>严重</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 11 月 19 日</td>
 </tr>
 <tr>
    <td>CVE-2016-0804</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/224858e719d045c8554856b12c4ab73d2375cf33">ANDROID-25070434</a></td>
    <td>严重</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 10 月 12 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_qualcomm_performance_module">Qualcomm 效能模块中的提权漏洞</h3>

<p>Qualcomm ARM 处理器的效能事件管理器组件中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2016-0805</td>
    <td>ANDROID-25773204*</td>
    <td>严重</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 11 月 15 日</td>
 </tr>
</tbody></table>

<p>*我们未在 AOSP 中发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。</p>

<h3 id="elevation_of_privilege_vulnerability_in_qualcomm_wifi_driver">Qualcomm WLAN 驱动程序中的提权漏洞</h3>

<p>Qualcomm WLAN 驱动程序中有一个漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2016-0806</td>
    <td>ANDROID-25344453*</td>
    <td>严重</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 11 月 15 日</td>
 </tr>
</tbody></table>

<p>*我们未在 AOSP 中发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。</p>

<h3 id="elevation_of_privilege_vulnerability_in_the_debuggerd">Debuggerd 中的提权漏洞</h3>

<p>Debuggerd 组件中有一个提权漏洞，本地恶意应用可以利用该漏洞通过设备 root 执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2016-0807</td>
    <td><a href="https://android.googlesource.com/platform%2Fsystem%2Fcore/+/d917514bd6b270df431ea4e781a865764d406120">ANDROID-25187394</a></td>
    <td>严重</td>
    <td>6.0 和 6.0.1</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="denial_of_service_vulnerability_in_minikin">Minikin 中的拒绝服务漏洞</h3>

<p>Minikin 库中有一个拒绝服务漏洞，本地攻击者可以利用该漏洞暂时阻止用户使用受影响的设备。攻击者可以使系统加载不受信任的字体，并使 Minikin 组件中发生溢出，从而导致崩溃。由于攻击者可以利用拒绝服务漏洞使系统不断重新启动，因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2016-0808</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/minikin/+/ed4c8d79153baab7f26562afb8930652dfbf853b">ANDROID-25645298</a></td>
    <td>高</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 11 月 3 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_wi-fi">WLAN 中的提权漏洞</h3>

<p>WLAN 组件中有一个提权漏洞，本地恶意应用可以利用该漏洞通过系统执行任意代码。仅当攻击者位于本地邻近区域时，才能够利用该漏洞对设备发起攻击。由于攻击者可以利用该漏洞远程获取“<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">normal</a>”权能，因此我们将该漏洞的严重程度评为“高”。通常情况下，只有在本地安装的第三方应用才可以获取这些权限。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2016-0809</td>
    <td><a href="https://android.googlesource.com/platform/hardware/broadcom/wlan/+/2c5a4fac8bc8198f6a2635ede776f8de40a0c3e1%5E%21/#F0">ANDROID-25753768</a></td>
    <td>高</td>
    <td>6.0、6.0.1</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_mediaserver">Mediaserver 中的提权漏洞</h3>

<p>Mediaserver 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过提权后的系统应用执行任意代码。由于攻击者可以利用该漏洞使第三方应用获取超出规定的权能（如 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">Signature</a> 或 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 权限），因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2016-0810</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/19c47afbc402542720ddd280e1bbde3b2277b586">ANDROID-25781119</a></td>
    <td>高</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_libmediaplayerservice">libmediaplayerservice 中的信息披露漏洞</h3>

<p>libmediaplayerservice 中有一个信息披露漏洞，攻击者可以利用该漏洞绕过系统中为增加攻击者入侵平台的难度而部署的安全措施。由于攻击者可以利用该漏洞使第三方应用获取超出规定的权能（如 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">Signature</a> 或 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 权限），因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2016-0811</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/22f824feac43d5758f9a70b77f2aca840ba62c3b">ANDROID-25800375</a></td>
    <td>高</td>
    <td>6.0、6.0.1</td>
    <td>2015 年 11 月 16 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_setup_wizard">设置向导中的提权漏洞</h3>

<p>设置向导中有一个漏洞，恶意攻击者可以利用该漏洞绕过恢复出厂设置保护机制，并获得对设备的访问权限。由于该漏洞可让实际接触到设备的人绕过恢复出厂设置保护机制，这样攻击者便可以成功重置设备，从而清除所有数据，因此我们将该漏洞的严重程度评为“中”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2016-0812</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/84669ca8de55d38073a0dcb01074233b0a417541">ANDROID-25229538</a></td>
    <td>中</td>
    <td>5.1.1、6.0</td>
    <td>Google 内部</td>
 </tr>
 <tr>
    <td>CVE-2016-0813</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/16a76dadcc23a13223e9c2216dad1fe5cad7d6e1">ANDROID-25476219</a></td>
    <td>中</td>
    <td>5.1.1、6.0、6.0.1</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="common_questions_and_answers">常见问题和解答</h3>

<p>这一部分解答了用户在阅读本公告后可能会提出的常见问题。</p>

<p><strong>1. 如何确定我的设备是否已通过更新解决这些问题？</strong></p>

<p>安全补丁程序级别为 2016 年 2 月 1 日或更新的 Android L（LMY49G 或更高细分版本）和 Android 6.0 均已解决这些问题。请参阅 <a href="https://support.google.com/nexus/answer/4457705">Nexus 文档</a>，了解如何查看安全补丁程序级别。预装这些更新的设备制造商应将补丁程序字符串级别设为 [ro.build.version.security_patch]:[2016-02-01]</p>

<h2 id="revisions">修订</h2>

<ul>
  <li>2016 年 2 月 1 日：发布了本公告。
  </li><li>2016 年 2 月 2 日：在本公告中添加了 AOSP 链接。
  </li><li>2016 年 3 月 7 日：在本公告中添加了更多 AOSP 链接。

</li></ul></body></html>